:root {
	--sidebar-width: 54px;
	--sidebar-active-width: 200px;
	--sidebar-max-width: 500px;
	
	--sidebar-color: #efefef;
	
	--sidebar-item-color: #bcbcc369;
	--sidebar-item-hover-color: #9c9d9e87;
	--sidebar-item-border-color: #8882828c;
	--sidebar-item-padding: 1rem;
	
	--sidebar-letter-font-size: 20px;
	--sidebar-letter-color: #bdbdbd82;
	
	--sidebar-item-img-padding: 10px;
	
	--sidebar-item-active-border-size: 4px;
}

body {
	margin: 0;
}

*.sidebar-container {
	height: 100%;
	margin: 0;
	width: calc(100% - var(--sidebar-width));
}

*.sidebar-container.sidebar-left:not(.sidebar-solid) {
	padding-left: var(--sidebar-width);
}

*.sidebar-container.sidebar-right:not(.sidebar-solid) {
	padding-right: var(--sidebar-width);
}

nav.sidebar {
	width: var(--sidebar-width);
	height: 100%;
	transition: width 0.3s cubic-bezier(0, 0, 0.3, 1);
	position: absolute;
	top: 0;
	background: var(--sidebar-color);
	z-index: 9999;
	display: flex;
	flex-direction: column;
}

*.sidebar-container.sidebar-left > nav.sidebar {
	left: 0;
	border-right: 1px solid var(--sidebar-item-border-color);
}

*.sidebar-container.sidebar-right > nav.sidebar {
	right: 0;
	border-left: 1px solid var(--sidebar-item-border-color);
}

nav.sidebar.active {
	width: var(--sidebar-active-width);
	max-width: var(--sidebar-max-width);
	min-width: var(--sidebar-width);
}

*.sidebar-container.sidebar-left > nav.sidebar.active:not(.noshadow) {
	box-shadow: -3px 0px 10px 0px grey;
}

*.sidebar-container.sidebar-right > nav.sidebar.active:not(.noshadow) {
	box-shadow: 3px 0px 10px 0px grey;
}

*.sidebar-container.sidebar-solid {
	display: flex;
}

@media (pointer: coarse) {
	nav.sidebar {
		max-width: 100%!important;
	}
	
	nav.sidebar.active {
		width: 100%;
	}
	
	*.sidebar-container.sidebar-left {
		padding-left: var(--sidebar-width);
	}

	*.sidebar-container.sidebar-right {
		padding-right: var(--sidebar-width);
	}
	
	div.sidebar-nav-tabs-container {
		height: 100%;
	}
}

@media (pointer: fine) {
	*.sidebar-container.sidebar-solid {
		width: 100%;
	}
	
	*.sidebar-container.sidebar-solid > nav.sidebar {
		position: relative;
		flex-shrink: 0;
	}
}

ul.sidebar-nav {
	list-style: none;
	padding: 0px;
	width: 100%;
	margin: 0px;
}

ul.sidebar-nav > li.sidebar-item {
	height: var(--sidebar-width);
	width: 100%;
	transition: background 0.2s cubic-bezier(0.31, 0.12, 0.36, 1);
	display: flex;
	overflow: hidden;
	background: var(--sidebar-item-color);
}

ul.sidebar-nav.sidebar-bottom {
	margin-top: auto;
}

ul.sidebar-nav > li.sidebar-item:hover {
	cursor: pointer;
	background: var(--sidebar-item-hover-color);
}

ul.sidebar-nav:not(.sidebar-bottom) > li.sidebar-item {
	border-bottom: 1px solid var(--sidebar-item-border-color);
}

ul.sidebar-nav.sidebar-bottom > li.sidebar-item {
	border-top: 1px solid var(--sidebar-item-border-color);
}

*.sidebar-container.sidebar-left ul.sidebar-nav > li.sidebar-title {
	box-shadow: -5px -4px 8px 0px black;
}

*.sidebar-container.sidebar-right ul.sidebar-nav > li.sidebar-title {
	box-shadow: 5px -4px 8px 0px black;
}

ul.sidebar-nav > li.sidebar-item > a.sidebar-text {
	padding-left: var(--sidebar-item-padding);
	padding-right: var(--sidebar-item-padding);
	font-weight: bold;
}

ul.sidebar-nav > li.sidebar-title > a.sidebar-text {
	margin: auto;
}

nav.sidebar span.sidebar-item-img.sidebar-letter,
nav.sidebar > ul.sidebar-nav > li.sidebar-title > a.sidebar-text {
	font-weight: bold;
	font-size: var(--sidebar-letter-font-size);
	text-align: center;
}

nav.sidebar span.sidebar-item-img {
	flex-shrink: 0;
	width: calc(var(--sidebar-width) - var(--sidebar-item-img-padding) * 2);
	height: calc(100% - var(--sidebar-item-img-padding) * 2);
	padding: var(--sidebar-item-img-padding);
}

nav.sidebar span.sidebar-toggle-img {
	font-size: calc(var(--sidebar-width) / 2);
	font-weight: bold;
	text-align: center;
}

nav.sidebar span.sidebar-item-img > img {
	width: var(--sidebar-letter-font-size);
	height: var(--sidebar-letter-font-size);
	display: block;
}

*.sidebar-container.sidebar-left > nav.sidebar:not(.active) span.sidebar-toggle-img:after {
	content: "\0000BB";
}

*.sidebar-container.sidebar-right > nav.sidebar:not(.active) span.sidebar-toggle-img:after {
	content: "\0000AB";
}

@keyframes pulse {
	0% {
		opacity: 0;
	}
	
	100% {
		opacity: 1;
	}
}

nav.sidebar.active span.sidebar-toggle-img:after {
	animation: pulse 0.5s;
}

*.sidebar-container.sidebar-left > nav.sidebar.active span.sidebar-toggle-img:after {
	content: "\0000AB";
}

*.sidebar-container.sidebar-right > nav.sidebar.active span.sidebar-toggle-img:after {
	content: "\0000BB";
}

nav.sidebar span.sidebar-item-img.sidebar-letter {
	background: var(--sidebar-letter-color);
	margin: auto;
	border-radius: 4px;
	width: var(--sidebar-letter-font-size);
	position: absolute;
	height: fit-content;
	bottom: 0;
	top: 0;
	left: 0;
	right: 0;
}

nav.sidebar > ul.sidebar-nav > li.sidebar-item > div.sidebar-item-img-container {
	width: var(--sidebar-width);
	height: var(--sidebar-width);
	flex-shrink: 0;
	position: relative;
}

nav.sidebar > ul.sidebar-nav > li.sidebar-item > a.sidebar-text {
	display: inline;
	white-space: nowrap;
	margin: auto 0;
}

nav.sidebar > ul.sidebar-nav > li.sidebar-item.active {
	background: #61b95247;
	border-left: solid #383a3887;
	border-left-width: var(--sidebar-item-active-border-size);
	font-weight: bold;
	width: calc(100% - var(--sidebar-item-active-border-size));
}

nav.sidebar > ul.sidebar-nav > li.sidebar-item.active span.sidebar-item-img {
	left: calc(0px - var(--sidebar-item-active-border-size));
}

nav.sidebar > ul.sidebar-nav > li.sidebar-item.active div.sidebar-item-img-container {
	width: calc(var(--sidebar-width) - var(--sidebar-item-active-border-size));
}

*.sidebar-container > .sidebar-nav-tabs-container > ul.sidebar-nav-tabs {
	list-style: none;
	padding: 0;
	margin: 0;
	position: relative;
	width: 100%;
	height: 100%;
}

*.sidebar-container > .sidebar-nav-tabs-container > ul.sidebar-nav-tabs > li.active {
	display: block;
}

*.sidebar-container > .sidebar-nav-tabs-container > ul.sidebar-nav-tabs > li:not(.active) {
	display: none;
}

*.sidebar-container > .sidebar-nav-tabs-container {
	width: 100%;
	position: relative;
	height: 100%;

	overflow: hidden;
}